"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302310>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23023a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302430>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23024c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302550>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23025e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302670>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302790>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302820>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23028b0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23029d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302a60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302af0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302b80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302c10>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302ca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302d30>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302dc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302e50>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302ee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2302f70>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23060d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23061f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306280>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306310>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23063a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306430>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23064c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306550>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23065e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306670>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306790>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306820>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23068b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306940>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23069d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306a60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306af0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306b80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306c10>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306ca0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306d30>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306dc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306e50>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306ee0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2306f70>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23090d0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23091f0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309280>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309310>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23093a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309430>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23094c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309550>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23095e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309670>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309700>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309790>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309820>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa23099d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309af0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309b80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309c10>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309d30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309ca0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309dc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309e50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309ee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e040>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa2309f70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e0d0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e160>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e1f0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e280>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e310>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa230e3a0>)]
name: str = 'fr_HOCCN'
